const debounce = (func, delay) => {
  let timeoutId;
  return (...args) => {
    if (timeoutId !== void 0) {
      clearTimeout(timeoutId);
    }
    timeoutId = setTimeout(() => {
      func(...args);
    }, delay);
  };
};
export {
  debounce
};
